package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TDualcontrolParam;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 能耗双控-参数设置 服务类
 */
public interface TDualcontrolParamService extends IService<TDualcontrolParam> {

    //根据综合权重、版本信息获取参数编码
    TDualcontrolParam getGearByComprehensiveWeight(String planYear, long versionId, Double weight);

    List<TDualcontrolParam> initializePreData(String planYear, Long versionId);

    void saveOrUpdateParamBatch(String str);
}
